Put back mktemp patches as SEPARATE patches.
Brad, next time, ask me, THANKS... Turn m4 -g test around, so that it actually works on a machine without enough gm4 compatibility.
This commit is contained in:
parent
f77ccdb0f2
commit
ed1f8b1fc8
@ -1,4 +1,4 @@
|
||||
# $OpenBSD: Makefile,v 1.18 2000/03/18 15:54:22 espie Exp $
|
||||
# $OpenBSD: Makefile,v 1.19 2000/03/24 20:48:19 espie Exp $
|
||||
|
||||
DISTNAME= autoconf-2.13
|
||||
CATEGORIES= devel
|
||||
@ -22,10 +22,11 @@ FAKE= Yes
|
||||
|
||||
pre-configure:
|
||||
# Check if /usr/bin/m4 recognizes option -g, and has builtin __line__
|
||||
@if [ `echo "__line__"|/usr/bin/m4 -g` \
|
||||
!= "1" ]; then \
|
||||
@if [ X`echo "__line__"|/usr/bin/m4 -g 2>/dev/null` \
|
||||
== "X1" ]; then \
|
||||
exit 0; \
|
||||
fi; \
|
||||
echo >&2 "Your m4 is not current enough, sorry"; \
|
||||
exit 1; \
|
||||
fi
|
||||
exit 1
|
||||
|
||||
.include <bsd.port.mk>
|
||||
|
@ -1,25 +1,6 @@
|
||||
--- autoconf.sh.orig Mon Mar 20 20:51:44 2000
|
||||
+++ autoconf.sh Mon Mar 20 20:51:27 2000
|
||||
@@ -45,7 +45,7 @@
|
||||
esac
|
||||
|
||||
: ${TMPDIR=/tmp}
|
||||
-tmpout=${TMPDIR}/acout.$$
|
||||
+tmpout=`mktemp ${TMPDIR}/acout.XXXXXXXXXX` || exit 1
|
||||
localdir=
|
||||
show_version=no
|
||||
|
||||
@@ -97,7 +97,8 @@
|
||||
|
||||
trap 'rm -f $tmpin $tmpout; exit 1' 1 2 15
|
||||
|
||||
-tmpin=${TMPDIR}/acin.$$ # Always set this, to avoid bogus errors from some rm's.
|
||||
+tmpin=`mktemp ${TMPDIR}/acin.XXXXXXXXXX` || { rm -f $tmpout; exit 1; }
|
||||
+# Always set this, to avoid bogus errors from some rm's.
|
||||
if test z$infile = z-; then
|
||||
infile=$tmpin
|
||||
cat > $infile
|
||||
@@ -112,16 +113,7 @@
|
||||
--- autoconf.sh.orig Wed Nov 17 16:43:04 1999
|
||||
+++ autoconf.sh Wed Nov 17 16:43:39 1999
|
||||
@@ -112,16 +112,7 @@ else
|
||||
use_localdir=
|
||||
fi
|
||||
|
||||
|
@ -21,12 +21,3 @@
|
||||
sed -n -e '
|
||||
: again
|
||||
/^@@@.*@@@$/s/^@@@\(.*\)@@@$/\1/p
|
||||
@@ -194,7 +185,7 @@
|
||||
# Some fgrep's have limits on the number of lines that can be in the
|
||||
# pattern on the command line, so use a temporary file containing the
|
||||
# pattern.
|
||||
- (fgrep_tmp=${TMPDIR-/tmp}/autoh$$
|
||||
+ (fgrep_tmp=`mktemp ${TMPDIR-/tmp}/autoh.XXXXXXXXXX` || exit 1
|
||||
trap "rm -f $fgrep_tmp; exit 1" 1 2 15
|
||||
cat > $fgrep_tmp <<EOF
|
||||
$syms
|
||||
|
21
devel/autoconf/patches/patch-mktemp1
Normal file
21
devel/autoconf/patches/patch-mktemp1
Normal file
@ -0,0 +1,21 @@
|
||||
--- autoconf.sh.orig Mon Nov 22 21:47:28 1999
|
||||
+++ autoconf.sh Mon Nov 22 21:49:50 1999
|
||||
@@ -45,7 +45,7 @@
|
||||
esac
|
||||
|
||||
: ${TMPDIR=/tmp}
|
||||
-tmpout=${TMPDIR}/acout.$$
|
||||
+tmpout=`mktemp ${TMPDIR}/acout.XXXXXXXXXX` || exit 1
|
||||
localdir=
|
||||
show_version=no
|
||||
|
||||
@@ -97,7 +97,8 @@
|
||||
|
||||
trap 'rm -f $tmpin $tmpout; exit 1' 1 2 15
|
||||
|
||||
-tmpin=${TMPDIR}/acin.$$ # Always set this, to avoid bogus errors from some rm's.
|
||||
+tmpin=`mktemp ${TMPDIR}/acin.XXXXXXXXXX` || { rm -f $tmpout; exit 1; }
|
||||
+# Always set this, to avoid bogus errors from some rm's.
|
||||
if test z$infile = z-; then
|
||||
infile=$tmpin
|
||||
cat > $infile
|
11
devel/autoconf/patches/patch-mktemp2
Normal file
11
devel/autoconf/patches/patch-mktemp2
Normal file
@ -0,0 +1,11 @@
|
||||
--- autoheader.sh.orig Mon Nov 22 21:50:45 1999
|
||||
+++ autoheader.sh Mon Nov 22 21:52:02 1999
|
||||
@@ -194,7 +194,7 @@
|
||||
# Some fgrep's have limits on the number of lines that can be in the
|
||||
# pattern on the command line, so use a temporary file containing the
|
||||
# pattern.
|
||||
- (fgrep_tmp=${TMPDIR-/tmp}/autoh$$
|
||||
+ (fgrep_tmp=`mktemp ${TMPDIR-/tmp}/autoh.XXXXXXXXXX` || exit 1
|
||||
trap "rm -f $fgrep_tmp; exit 1" 1 2 15
|
||||
cat > $fgrep_tmp <<EOF
|
||||
$syms
|
Loading…
Reference in New Issue
Block a user